Bug 470454 - CPU C3 state duration time stays at zero on Stoakley platform
CPU C3 state duration time stays at zero on Stoakley platform
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
i386 Linux
medium Severity medium
: rc
: ---
Assigned To: Brian Maly
Martin Jenner
: OtherQA
Depends On:
Blocks: 480792
  Show dependency treegraph
 
Reported: 2008-11-07 04:50 EST by Song, Youquan
Modified: 2009-06-20 04:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 09:00:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Song, Youquan 2008-11-07 04:50:39 EST
Description of problem:

Stoakley platform with BIOS 7DWN8018. RHEL5.3 Beta kernel-2.6.18-120.el5.
The CPU C3 state duration time keep zero and do not work at all.
I check that upstream kernel, the CPU C3 state work normally.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  cat /proc/acpi/processor/CPU*/power
2.
3.
  
Actual results:

[root@localhost ~]# cat /proc/acpi/processor/CPU*/power
active state:            C2
max_cstate:              C8
bus master activity:     02020202
states:
    C1:                  type[C1] promotion[C2] demotion[--] latency[000]
usage[00003760] duration[00000000000000000000]
   *C2:                  type[C2] promotion[C3] demotion[C1] latency[040]
usage[00770527] duration[00000000002585035191]
    C3:                  type[C3] promotion[--] demotion[C2] latency[060]
usage[00054433] duration[00000000000000000000]
active state:            C2
max_cstate:              C8
bus master activity:     04040404
states:
    C1:                  type[C1] promotion[C2] demotion[--] latency[000]
usage[00001960] duration[00000000000000000000]
   *C2:                  type[C2] promotion[C3] demotion[C1] latency[040]
usage[00769334] duration[00000000002584569360]
    C3:                  type[C3] promotion[--] demotion[C2] latency[060]
usage[00026939] duration[00000000000000000000]
active state:            C1
max_cstate:              C8
bus master activity:     08080809
states:
   *C1:                  type[C1] promotion[C2] demotion[--] latency[000]
usage[00005933] duration[00000000000000000000]
    C2:                  type[C2] promotion[C3] demotion[C1] latency[040]
usage[00767956] duration[00000000002576405129]
    C3:                  type[C3] promotion[--] demotion[C2] latency[060]
usage[00055193] duration[00000000000000000000]
active state:            C2
max_cstate:              C8
bus master activity:     10101011
states:
    C1:                  type[C1] promotion[C2] demotion[--] latency[000]
usage[00003070] duration[00000000000000000000]
   *C2:                  type[C2] promotion[C3] demotion[C1] latency[040]
usage[00768317] duration[00000000002576969832]
    C3:                  type[C3] promotion[--] demotion[C2] latency[060]
usage[00027256] duration[00000000000000000000]
active state:            C2
max_cstate:              C8
bus master activity:     40404040
states:
    C1:                  type[C1] promotion[C2] demotion[--] latency[000]
usage[00002550] duration[00000000000000000000]
   *C2:                  type[C2] promotion[C3] demotion[C1] latency[040]
usage[00769339] duration[00000000002583499021]
    C3:                  type[C3] promotion[--] demotion[C2] latency[060]
usage[00055484] duration[00000000000000000000]
active state:            C2
max_cstate:              C8
bus master activity:     01010101
states:
    C1:                  type[C1] promotion[C2] demotion[--] latency[000]
usage[00001890] duration[00000000000000000000]
   *C2:                  type[C2] promotion[C3] demotion[C1] latency[040]
usage[00768216] duration[00000000002580914273]
    C3:                  type[C3] promotion[--] demotion[C2] latency[060]
usage[00027265] duration[00000000000000000000]
active state:            C2
max_cstate:              C8
bus master activity:     80808081
states:
    C1:                  type[C1] promotion[C2] demotion[--] latency[000]
usage[00003040] duration[00000000000000000000]
   *C2:                  type[C2] promotion[C3] demotion[C1] latency[040]
usage[00767540] duration[00000000002578141402]
    C3:                  type[C3] promotion[--] demotion[C2] latency[060]
usage[00054756] duration[00000000000000000000]
active state:            C2
max_cstate:              C8
bus master activity:     20202020
states:
    C1:                  type[C1] promotion[C2] demotion[--] latency[000]
usage[00002020] duration[00000000000000000000]
   *C2:                  type[C2] promotion[C3] demotion[C1] latency[040]
usage[00765627] duration[00000000002570985487]
    C3:                  type[C3] promotion[--] demotion[C2] latency[060]
usage[00026504] duration[00000000000000000000]



Expected results:

CPU C3 state has duration time.

Additional info:
Comment 2 Song, Youquan 2009-01-21 04:26:35 EST
After investigation, we find that it is stoakley BIOS issues to support Cstates, so we can close it.

Note You need to log in before you can comment on or make changes to this bug.